<?
require'../config.php';
$align='left';
$title='Управление юзерами';
head();
aut();
who_add(0,'enter');


switch($mod){
default:
levels(4);
if ($ver!='wml')echo '<form action="users?mod=view&amp;'.SID.'" method="post">';
echo 'Ник/ID:<br /><input type="text" name="nick" maxlength="15" title="Text"/><br />';
if ($ver=='wml'){
echo '<anchor title="go">Искать<go href="users?mod=view&amp;'.SID.'" method="post">';
echo '<postfield name="nick" value="$nick"/>
<postfield name="mode" value="$mode"/>
</go></anchor><dt></dt><br />';
}else{
echo '<input type="submit" class="ibutton" value="Найти"/></form><dt></dt><br />';
}

echo '&#187; <a href="users?mod=users">Список юзеров</a> ('.$db->sql_fetchfield($db->sql_query("select count(*) as num from users"),0).')<br />';

echo '&#187; <a href="users?mod=searchip">Поиск по IP</a><br />';

echo '<dt></dt>&#187; <a href="users?mod=kiks_list">Список выпнутых</a> ('.$db->sql_fetchfield($db->sql_query("select count(*) as num from users where kik > '".$time."'"),0).')<br />';

if($user['level']>5){echo '&#187; <a href="users?mod=ban_is_list">Список баннов IP и SOFT</a> ('.$db->sql_fetchfield($db->sql_query("select count(*) as num from bannlist"),0).')<br />';

echo '&#187; <a href="users?mod=ban_ip_list">Список баннов IP</a> ('.$db->sql_fetchfield($db->sql_query("select count(*) as num from bannip"),0).')<br />';
}

if($user['level']>=5){echo '&#187; <a href="users?mod=banns_list">Список ников в бане</a> ('.$db->sql_fetchfield($db->sql_query("select count(*) as num from users where bann > '".$time."'"),0).')<br /><br/>';
}

break;


case users:
levels(4);
if(empty($_GET['order']))$order = 'id';
else $order = check($_GET['order']);

if($_GET['desc']=='') $desc = '';
else $desc = check($_GET['desc']);


echo 'Сортировать:<br />По: ';
$arr = array('id-ID','timereg-Дата реги','level-Уровень','posts-Посты','rur-Деньги','vote_us-Рейтинг','onl-Посл. авт.');
foreach($arr as $v){
list ($o,$n) = explode('-',$v);
echo '<a href="users?mod='.$mod.'&amp;desc='.$desc.'&amp;order='.$o.'">'.$n.'</a>|';}
echo '<br />Порядок:';

$ar = array('-123','desc-321');
foreach($ar as $d){
list ($d,$n) = explode('-',$d);
echo '<a href="users?mod='.$mod.'&amp;order='.$order.'&amp;desc='.$d.'">'.$n.'</a>|';}
echo '<br/>';



if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from users"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from users order by ".$order." ".$desc." LIMIT $start, $max");
if ($k_post == 0)echo '<br />Список пуст...<br />';
else{
if (($max*$page)<$k_post) $maxi = $max*$page; else $maxi = $k_post;
echo 'показаны '.($start+1).'-'.$maxi.' из '.$k_post.'<br /><br/>';
}
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){

echo links.'<b>'.user($a[id],1).'</b><br/>'.div;
echo 'Зареган: <b>'.times($a[timereg]).'</b> | Уровень: <b>'.lev_neme($a[level]).'</b><dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('users?mod='.$mod.'&amp;',$k_page,$page);
echo "<br/><dl><dt></dt></dl><br/>";
}
break;

case view:
levels(4);
if(isset($_POST['nick']))$nick = check($_POST['nick']);
else $nick = check($_GET['nick']);
if (!user($nick))echo 'Такого юзера нет!<br/>';
else{
$inf = $db->sql_fetchrow ($db->sql_query ("Select * from users where id='".user_inf($nick)."'"));
if (($inf[level]>$user[level])||$user[level]==$inf[level] && $user[id]!=$inf[id])echo 'Доступ закрыт!<br />';
else{
if ($inf[sex]==1)$sex = 'найден'; else $sex = 'найдена';
echo 'Пользователь <b>'.user($inf[id],1).'</b> '.$sex.'!<dt></dt><br/>';
if($user['level']>=4){
echo '<a href="users?mod=kik&amp;nick='.$inf[id].'">Пнуть</a><br/>';
}
if($user['level']>=6){
echo '<a href="users?mod=ban_ip_soft&amp;nick='.$inf[id].'">Банн ip+soft</a><br/>';
echo '<a href="users?mod=ban_ip&amp;ipus='.$inf[user_ip].'">Банн ip</a><br/>';
}
if($user['level']>=5){
echo '<a href="users?mod=ban&amp;nick='.$inf[id].'">Забанить ник</a><br/>';
}
echo '<dl><dt></dt></dl>';

echo "<dt></dt><br/>IP: ".$inf[user_ip]." (".opsos($inf[user_ip]).")<br/>";
echo "Soft: ".$inf[user_soft]."<br/>";
if ($inf[ver]==wml) echo "Версия сайта: WML<br/>";
else echo "Версия сайта: xHTML<br/>";
}
}
break;


case kik:
levels(4);
if (empty($act)){

if ($ver!='wml')echo '<form action="users?mod='.$mod.'&amp;act=act&amp;'.SID.'" method="post">';
echo 'Ник/ID:<br /><input type="text" name="nick" value="'.$_GET['nick'].'" title="Ник/ID"/><br />';
echo 'Время:<br /><input type="text" name="na" title="Время"/><br />';
echo '<select name="vremja">
<option value="min">Минуты</option>
<option value="chas">Часы</option>
<option value="sut">Сутки</option>
<option value="mes">Месяцы</option>
</select><br/>';
echo 'Причина:<br /><input type="text" name="whykik" title="Причина"/><br /><br />';
if ($ver=='wml'){
echo '<anchor title="go">Пнуть засранца<go href="users?mod='.$mod.'&amp;act=act&amp;'.SID.'" method="post">';
echo '<postfield name="nick" value="$nick"/>
<postfield name="na" value="$na"/>
<postfield name="vremja" value="$vremja"/>
<postfield name="whykik" value="$whykik"/>
</go></anchor><br/>';
}else{
echo '<input type="submit" class="ibutton" value="Пнуть"/></form><dt></dt>';
}

}else{
$nick = check($_POST['nick']);
if (!user($nick))echo 'Такого юзера нет!<br />';
else{
$inf = $db->sql_fetchrow ($db->sql_query ("Select * from users where id='".user_inf($nick)."'"));
if (($inf[level]>$user[level])||$user[level]==$inf[level] && $user[id]!=$inf[id])echo 'Доступ закрыт!<br />';
else{
if ($inf[id]==$user[id])echo 'Себя пинать собрались?!<br />';
else{
if ($inf[id]==1)echo 'Не, <b>'.$inf[user].'</b> пинать просто не реально!<br />';
else{
if (strlen2($_POST['whykik'])<5)echo 'Причина должна быть более существенной! Не менее 5 символов!<br />';
else{
if ($_POST['na'] < 1 || empty($_POST['na']))echo 'Вы не указали время!<br />';
else{

if ($_POST['vremja']=='min')$na = intval($_POST['na'])*60;
if ($_POST['vremja']=='chas')$na = intval($_POST['na'])*60*60;
if ($_POST['vremja']=='sut')$na = intval($_POST['na'])*60*60*24;
if ($_POST['vremja']=='mes')$na = intval($_POST['na'])*60*60*24*30;
$whykik = check($_POST['whykik']);
$na = $time+$na;
$db->sql_query('UPDATE `users` SET `kik` = "'.$na.'", `whokik` = "'.$user[id].'", `whykik` = "'.$whykik.'" WHERE `id` = "'.$inf[id].'" LIMIT 1');

if ($set['kik_notify']==1){
$messs = '[b]'.$user['user'].'[/b] выпнул пользователя [b]'.$inf['user'].'[/b] на [b]'.kikt($na).'[/b]<br /> Причина: [b]'.$whykik.'[/b]';

$db->sql_query ("INSERT INTO logs (log,msg,time) VALUES ('kik','$messs','$time')");

$s_post=$db->sql_fetchfield($db->sql_query("select COUNT(*) from rooms WHERE `system` != '0';"),0);
$k_page=k_page($s_post,$s_post);
$page=page($k_page);
$s1=$s_post*$page-$s_post;
$num = @$db->sql_query("SELECT * from rooms WHERE `system` != '0' order by rm DESC limit $s1, $s_post;" );
while($nums = @$db->sql_fetchrow($num)){
$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm) VALUES ('$user_system','0','$time','$messs','$nums[rm]')");
}
}

echo 'Пользователь <b>'.$inf[user].'</b> выпнут на <b>'.kikt($na).'</b><br />Причина: <b>'.$whykik.'</b><br />';

}}}}}}
}

break;

case ban_ip_soft:
levels(5);
if (empty($act)){
if ($ver!='wml')echo '<form action="users?mod='.$mod.'&amp;act=act&amp;'.SID.'" method="post">';
echo 'Ник/ID:<br /><input type="text" name="nick" value="'.$_GET['nick'].'" title="Ник/ID"/><br />';
echo 'Причина:<br /><input type="text" name="why" title="Причина"/><br /><br />';
if ($ver=='wml'){
echo '<anchor title="go">Банн<go href="users?mod='.$mod.'&amp;act=act&amp;'.SID.'" method="post">';
echo '<postfield name="nick" value="$nick"/>
<postfield name="why" value="$why"/>
</go></anchor><br/>';

}else{
echo '<input type="submit" class="ibutton" value="Банн"/></form><dt></dt>';
}

}else{
$nick = check($_POST['nick']);
if (!user($nick))echo 'Такого юзера нет!<br />';
else{
$inf = $db->sql_fetchrow ($db->sql_query ("Select * from users where id='".user_inf($nick)."'"));
if (($inf[level]>$user[level])||$user[level]==$inf[level] && $user[id]!=$inf[id])echo 'Доступ закрыт!<br />';
else{
if ($inf[id]==$user[id])echo 'Себя баннить собрались?!<br />';
else{
if ($inf[id]==1)echo 'Не, <b>'.$inf[user].'</b> забаннить просто не реально!<br />';
else{
if (strlen2($_POST['why'])<5)echo 'Причина должна быть более существенной! Не менее 5 символов!<br />';
else{

$why = check($_POST['why']);

$db->sql_query ("INSERT INTO bannlist SET ip = '".$inf[user_ip]."', soft = '".$inf[user_soft]."', user_id = '".$inf[id]."', who_id = '".$user[id]."', why = '".$why."'");


if ($set['ban2_notify']==1){
$messs = '[b]'.$user['user'].'[/b] забаннил пользователя [b]'.$inf['user'].'[/b] по [b]ip+soft[/b]';
$db->sql_query ("INSERT INTO logs (log,msg,time) VALUES ('ban_ip_soft','$messs','$time')");
$s_post=$db->sql_fetchfield($db->sql_query("select COUNT(*) from rooms WHERE `system` != '0';"),0);
$k_page=k_page($s_post,$s_post);
$page=page($k_page);
$s1=$s_post*$page-$s_post;
$num = @$db->sql_query("SELECT * from rooms WHERE `system` != '0' order by rm DESC limit $s1, $s_post;" );
while($nums = @$db->sql_fetchrow($num)){
$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm) VALUES ('$user_system','0','$time','$messs','$nums[rm]')");
}
}

echo 'Пользователь <b>'.$inf[user].'</b> забанен!<br />Причина: <b>'.$why.'</b><br />Его IP: <b>'.$inf[user_ip].'</b> | SOFT: <b>'.$inf[user_soft].'</b><br />';

}}}}}
}
break;

case ban_ip:
levels(6);
if (empty($act)){
echo 'IP:<br/><i>Пример: 127.0.0.1 без отступов и пробелов<br/>
Или по маске 127.0.0, 127.0, будут забанены все IP совпадающие по начальным цифрам</i><br/>';
if ($ver!='wml')echo '<form action="users?mod='.$mod.'&amp;act=act&amp;'.SID.'" method="post">';
echo '<input type="text" name="ban" value="'.$_GET['ipus'].'" title="IP"/><br /><br />';

if ($ver=='wml'){
echo '<anchor title="go">Банн<go href="users?mod='.$mod.'&amp;act=act&amp;'.SID.'" method="post">';
echo '<postfield name="ban" value="$ban"/>
</go></anchor><br />';
;
}else{
echo '<input type="submit" class="ibutton" value="Банн"/></form><dt></dt>';
}

}else{
$messs = '[b]'.$user['user'].'[/b] забаннил пользователя [b]'.$inf['user'].'[/b] по [b]IP: '.$ban.'[/b]';
$db->sql_query ("INSERT INTO logs (log,msg,time) VALUES ('ban_ip','$messs','$time')");
$ban = check($_POST['ban']);
$db->sql_query("INSERT INTO bannip SET ip = '".$ban."', who_id = '".$user[id]."'");
echo 'IP <b>'.$ban.'</b> забаннен!<br />';
}
break;

case ban:
levels(5);
if (empty($act)){

if ($ver!='wml')echo '<form action="users?mod='.$mod.'&amp;act=act&amp;'.SID.'" method="post">';
echo 'Ник/ID:<br /><input type="text" name="nick" value="'.$_GET['nick'].'" title="Ник/ID"/><br />';
echo 'Время:<br /><input type="text" name="na" title="Время"/><br />';
echo '<select name="vremja">
<option value="min">Минуты</option>
<option value="chas">Часы</option>
<option value="sut">Сутки</option>
<option value="mes">Месяцы</option>
</select><br/>';
echo 'Причина:<br /><input type="text" name="whyban" title="Причина"/><br /><br />';
if ($ver=='wml'){
echo '<anchor title="go">Банн<go href="users?mod='.$mod.'&amp;act=act&amp;'.SID.'" method="post">';
echo '<postfield name="nick" value="$nick"/>
<postfield name="na" value="$na"/>
<postfield name="vremja" value="$vremja"/>
<postfield name="whyban" value="$whyban"/>
</go></anchor><br />';
}else{
echo '<input type="submit" class="ibutton" value="Банн"/></form><dt></dt>';
}

}else{
$nick = check($_POST['nick']);
if (!user($nick))echo 'Такого юзера нет!<br />';
else{
$inf = $db->sql_fetchrow ($db->sql_query ("Select * from users where id='".user_inf($nick)."'"));
if (($inf[level]>$user[level])||$user[level]==$inf[level] && $user[id]!=$inf[id])echo 'Доступ закрыт!<br />';
else{
if ($inf[id]==$user[id])echo 'Себя баннить собрались?!<br />';
else{
if ($inf[id]==1)echo 'Не, <b>'.$inf[user].'</b> забаннить просто не реально!<br />';
else{
if (strlen2($_POST['whyban'])<5)echo 'Причина должна быть более существенной! Не менее 5 символов!<br />';
else{
if ($_POST['na'] < 1 || empty($_POST['na']))echo 'Вы не указали время!<br />';
else{

if ($_POST['vremja']=='min')$na = intval($_POST['na'])*60;
if ($_POST['vremja']=='chas')$na = intval($_POST['na'])*60*60;
if ($_POST['vremja']=='sut')$na = intval($_POST['na'])*60*60*24;
if ($_POST['vremja']=='mes')$na = intval($_POST['na'])*60*60*24*30;
$whyban = check($_POST['whyban']);
$na = $time+$na;
$db->sql_query('UPDATE `users` SET `bann` = "'.$na.'", `whobann` = "'.$user[id].'", `whybann` = "'.$whyban.'" WHERE `id` = "'.$inf[id].'" LIMIT 1');

if ($set['ban_notify']==1){
$messs = '[b]'.$user['user'].'[/b] забаннил пользователя [b]'.$inf['user'].'[/b] на [b]'.kikt($na).'[/b]<br /> Причина: [b]'.$whyban.'[/b]';


$db->sql_query ("INSERT INTO logs (log,msg,time) VALUES ('ban','$messs','$time')");

$s_post=$db->sql_fetchfield($db->sql_query("select COUNT(*) from rooms WHERE `system` != '0';"),0);
$k_page=k_page($s_post,$s_post);
$page=page($k_page);
$s1=$s_post*$page-$s_post;
$num = @$db->sql_query("SELECT * from rooms WHERE `system` != '0' order by rm DESC limit $s1, $s_post;" );
while($nums = @$db->sql_fetchrow($num)){
$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm) VALUES ('$user_system','0','$time','$messs','$nums[rm]')");
}
}

echo 'Пользователь <b>'.$inf[user].'</b> забаннен на <b>'.kikt($na).'</b><br />Причина: <b>'.$whyban.'</b><br />';

}}}}}}
}
break;



case kiks_list:
levels(4);
if (isset($_GET['del'])){
$db->sql_query('UPDATE `users` SET `kik` = "0", `whokik` = "0", `whykik` = "" WHERE `id` = "'.intval($_GET['del']).'" LIMIT 1');
}
if (isset($_GET['del_all'])){
$db->sql_query('UPDATE `users` SET `kik` = "0", `whokik` = "0", `whykik` = "" WHERE `kik` != "0"');
}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from users where kik > '".$time."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from users where kik > '".$time."' order by kik desc LIMIT $start, $max");
if ($k_post == 0)echo '<br />Нет выпнутых!<br />';
else{
if (($max*$page)<$k_post) $maxi = $max*$page; else $maxi = $k_post;
echo 'показаны записи '.($start+1).'-'.$maxi.' из '.$k_post.'<br /><br />';
}
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){

echo links.'<b>'.user($a[id],1).'</b> выпнут на '.kikt($a[kik]).' [<a href="users?mod='.$mod.'&amp;del='.$a[id].'">Осв.</a>]'.div;
echo 'Выпнул: <b>'.user($a[whokik]).'</b> | Причина: <b>'.$a[whykik].'</b><dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('users?mod='.$mod.'&amp;',$k_page,$page);
echo "<br /><dl><dt></dt></dl><br />";
}
if ($k_post != 0)echo '<a href="users?mod='.$mod.'&amp;del_all">Освободить всех</a><br />';
break;

case ban_is_list:
levels(6);
if (isset($_GET['del'])){
@$db->sql_query("delete from `bannlist` where id='".intval($_GET['del'])."';");
}
if (isset($_GET['del_all'])){
@$db->sql_query("delete from `bannlist` where id>'0';");
}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from bannlist"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from bannlist order by id desc LIMIT $start, $max");
if ($k_post == 0)echo '<br />Список баннов по IP и SOFT пуст...<br />';
else{
if (($max*$page)<$k_post) $maxi = $max*$page; else $maxi = $k_post;
echo 'показаны записи '.($start+1).'-'.$maxi.' из '.$k_post.'<br /><br />';
}
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){

echo links.'<b>'.user($a[user_id],1).'</b> [<a href="users?mod='.$mod.'&amp;del='.$a[id].'">Осв.</a>]'.div;
echo 'Забаннил: <b>'.user($a[who_id]).'</b> | Причина: <b>'.$a[why].'</b><dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('users?mod='.$mod.'&amp;',$k_page,$page);
echo "<br /><dl><dt></dt></dl><br />";
}
if ($k_post != 0)echo '<a href="users?mod='.$mod.'&amp;del_all">Освободить всех</a><br />';
break;


case ban_ip_list:
levels(6);
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from bannip"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from bannip order by id desc LIMIT $start, $max");
if ($k_post == 0)echo '<br />Список баннов по IP и SOFT пуст...<br />';
else{
if (($max*$page)<$k_post) $maxi = $max*$page; else $maxi = $k_post;
echo 'показаны записи '.($start+1).'-'.$maxi.' из '.$k_post.'<br /><br />';
}
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){

echo links.'<b>'.$a[ip].'</b>'.div;
echo 'Забаннил: <b>'.user($a[who_id]).'</b> | Причина: <b>'.$a[why].'</b><dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('users?mod='.$mod.'&amp;',$k_page,$page);
echo "<br/><dl><dt></dt></dl><br/>";
}
break;


case banns_list:
levels(5);
if($user['level']>5){
if (isset($_GET['del'])){
$db->sql_query('UPDATE `users` SET `bann` = "0", `whobann` = "0", `whybann` = "" WHERE `id` = "'.intval($_GET['del']).'" LIMIT 1');
}
if (isset($_GET['del_all'])){
$db->sql_query('UPDATE `users` SET `bann` = "0", `whobann` = "0", `whybann` = "" WHERE `kik` != "0"');
}
}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from users where bann > '".$time."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from users where bann > '".$time."' order by bann desc LIMIT $start, $max");
if ($k_post == 0)echo '<br />Список пуст...<br />';
else{
if (($max*$page)<$k_post) $maxi = $max*$page; else $maxi = $k_post;
echo 'показаны записи '.($start+1).'-'.$maxi.' из '.$k_post.'<br/><br/>';
}
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){

echo links.'<b>'.user($a[id],1).'</b> выпнут на '.kikt($a[bann]).'';
if($user['level']>5)echo '[<a href="users?mod='.$mod.'&amp;del='.$a[id].'">Осв.</a>]';
echo '<br/>'.div;
echo 'Выпнул: <b>'.user($a[whobann]).'</b> | Причина: <b>'.$a[whybann].'</b><dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('users?mod='.$mod.'&amp;',$k_page,$page);
echo "<br /><dl><dt></dt></dl><br />";
}
if($user['level']>5){
if ($k_post != 0)echo '<a href="users?mod='.$mod.'&amp;del_all">Освободить всех</a><br/>';
}
break;

case 'searchip':
if(empty($act)){
echo '<br/>';
if ($ver!='wml')echo '<form method="post" action="users?mod='.$mod.'&amp;act=edit&amp;'.SID.'" name="auth">';
echo 'IP юзера:<br/><input name="ipus" title="ipus"/><br/>';
if ($ver=='wml'){
echo '<anchor title="go">Искать<go href="users?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '<postfield name="ipus" value="$(ipus)"/>
</go></anchor><br/>';
}else{
echo '<input type="submit" class="ibutton" value="Искать" name="enter"/></form><br/>';
}
}else{
if (isset($_POST['ipus']))$ipus= check($_POST['ipus']);
else if (isset($_GET['ipus']))$ipus= check($_GET['ipus']);
$k_post=$db->sql_fetchfield($db->sql_query("select COUNT(*) from users where user_ip='$ipus';"),0);
echo 'Потльзователей с (IP: '.$ipus.'): <b>'.$k_post.'</b><br /><br />';
$q=$db->sql_query("select * from users where user_ip='$ipus' order by id desc;");
$i=1;
while($arr=$db->sql_fetchrow($q)){

echo links.($i++).')<b>'.user($arr[id],1).'</b> ('.$arr['user_ip'].'; '.$arr['user_soft'].")".div; echo '<dl></dl>';
}
}
break;
}
echo '<br/>';
if ($mod)echo gb.'<a href="users">Управление юзерами</a><br/>'.div;
echo gb.'<a href="index">В модерку</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a><br/>'.div;
foot();
?>